net.i2p.data.i2np

## Class BuildResponseRecord

- java.lang.Object
- - net.i2p.data.i2np.BuildResponseRecord

-     public class BuildResponseRecord
      extends Object

  Read and write the reply to a tunnel build message record. The reply record is the same size as the request record (528 bytes). Bytes 0-526 contain random data. Byte 527 contains the reply.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildResponseRecord()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `create(I2PAppContext ctx, int status, SessionKey replyKey, byte[] replyIV, long responseMessageId)` Create a new encrypted response

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildResponseRecord

          public BuildResponseRecord()

  - ### Method Detail

    - #### create

          public static byte[] create(I2PAppContext ctx,
                      int status,
                      SessionKey replyKey,
                      byte[] replyIV,
                      long responseMessageId)

      Create a new encrypted response
      Parameters:
        `status` - the response
        `responseMessageId` - unused except for debugging
      Returns:
        a 528-byte response record